Show / Hide Table of Contents

# Struct FdtReader.FontTableHeader

Header of glyph table.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public struct FontTableHeader

### Fields

| Improve this Doc View Source

#### Ascent

Ascent of the font defined from this file, in pixels unit.

##### Declaration

    public int Ascent

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### FontTableEntryCount

Number of glyphs defined in this file.

##### Declaration

    public int FontTableEntryCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### KerningTableEntryCount

Number of kerning informations defined in this file.

##### Declaration

    public int KerningTableEntryCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### LineHeight

Line height of the font defined forom this file, in pixels unit.

##### Declaration

    public int LineHeight

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Padding

Unused/unknown.

##### Declaration

    public byte *Padding

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Signature

Signature: "fthd".

##### Declaration

    public byte *Signature

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Size

Size of the font defined from this file, in points unit.

##### Declaration

    public float Size

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TextureHeight

Height of backing texture.

##### Declaration

    public ushort TextureHeight

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### TextureWidth

Width of backing texture.

##### Declaration

    public ushort TextureWidth

##### Field Value

Type | Description
--- | ---
System.UInt16 |

### Properties

| Improve this Doc View Source

#### Descent

Gets descent of the font defined from this file, in pixels unit.

##### Declaration

    public readonly int Descent { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |